"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getModifierPuml = void 0;
const modifiers_1 = require("../parser/modifiers");
/**
 * Converts Java Modifiers to PlantUML code.
 * @param javaModifiers the Java Modifiers to convert
 * @returns the resulting plantuml string
 */
function getModifierPuml(javaModifiers) {
    let modifiers = '';
    if (javaModifiers.includes(modifiers_1.Modifier.static)) {
        modifiers += '{static}';
    }
    else if (javaModifiers.includes(modifiers_1.Modifier.abstract)) {
        modifiers += '{abstract}';
    }
    if (javaModifiers.includes(modifiers_1.Modifier.private)) {
        modifiers += '- ';
    }
    else if (javaModifiers.includes(modifiers_1.Modifier.protected)) {
        modifiers += '# ';
    }
    else if (javaModifiers.includes(modifiers_1.Modifier.public)) {
        modifiers += '+ ';
    }
    else {
        modifiers += '~ ';
    }
    return modifiers;
}
exports.getModifierPuml = getModifierPuml;
