import { getClassPuml } from './converter/class';
import { convert } from './converter/convert';
import { getPackagePuml } from './converter/package';
import { getClass } from './parser/class';
import { getPackage } from './parser/package';
export { convert, getPackage, getPackagePuml, getClass, getClassPuml };
export interface Options {
    [k: string]: any;
    output?: string;
    packages?: string | string[];
    linkbyfields?: boolean;
    inheritance?: boolean;
    format?: string;
}
/**
 * Converts Java Files to Plantuml and optionally saves them
 * @param path the root path of a Java project
 * @param options the conversion options
 * @returns the resulting plantuml or the output paths, if options.output was specified
 */
export default function javatopuml(path: string, options?: Options): Promise<undefined | string | string[]>;
