import { Field } from './fields';
import { Method } from './methods';
import { Modifier } from './modifiers';
export interface Class {
    name: string;
    extends: string | undefined;
    implements: string[];
    modifiers: Modifier[];
    fields: Field[];
    methods: Method[];
    classes: Class[];
    values?: string[];
}
/**
 * extracts class information from a java class code string
 * @param javaContent the content of a java file
 * @param packageName [the name of the package the java file belongs to]
 * @param preAmble [the preamble of a java file (for inner classes)]
 * @param className [the classname, useful for inner classes]
 * @returns the class object
 */
export declare function getClass(javaContent: string, packageName?: string, preAmble?: string[], className?: string): Class;
