export declare enum Modifier {
    class = 0,
    interface = 1,
    enum = 2,
    static = 3,
    public = 4,
    private = 5,
    protected = 6,
    abstract = 7,
    final = 8,
    super = 9,
    annotation = 10
}
/**
 * Extracts modifiers from a string (only if they are at the beginning).
 * @param input String that starts with modifiers / already split string
 * @returns all modifiers as modifiers and the new string (without modifiers)
 */
export declare function getModifiers(input: string[] | string): {
    modifiers: Modifier[];
    newString: string;
};
